﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        ChartControl chart = new ChartControl();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ChartSeries series = new ChartSeries("series1");
          
            series.Points.Add(1.8,2000);
            series.Points.Add(2, 1000);
            series.Points.Add(3, 2023);
            series.Points.Add(6, 3100);
            series.Points.Add(7, 2000);
            series.Points.Add(10, 2000);
            series.Points.Add(12, 5000);
            series.Points.Add(15, 7000);
            series.Points.Add(17, 4000);
            series.Points.Add(19, 3000);
            series.Style.Symbol.Shape = ChartSymbolShape.Circle;
            series.Style.Interior = new Syncfusion.Drawing.BrushInfo(Color.Blue);

            series.Type = ChartSeriesType.Line;
            this.chart.Series.Add(series);
            this.chart.PrimaryXAxis.ValueType = ChartValueType.Logarithmic;
            this.chart.PrimaryXAxis.SmallTicksPerInterval = 10;
            this.chart.PrimaryYAxis.SmallTicksPerInterval = 10;
            this.chart.PrimaryXAxis.LogLabelsDisplayMode = LogLabelsDisplayMode.IntegerLogValues;
            this.chart.PrimaryXAxis.DrawMinorGrid = true;
            this.chart.PrimaryYAxis.DrawMinorGrid = true;
            this.chart.PrimaryYAxis.ValueType = ChartValueType.Logarithmic;
            this.chart.PrimaryYAxis.RangeType = Syncfusion.Windows.Forms.Chart.ChartAxisRangeType.Set;
            this.chart.PrimaryYAxis.Range = new Syncfusion.Windows.Forms.Chart.MinMaxInfo(Math.Log(500,10), Math.Log(10000,10), Math.Log(1,10));
            this.chart.PrimaryYAxis.LogLabelsDisplayMode = LogLabelsDisplayMode.IntegerLogValues;
            this.chart.Legend.Visible = false;
            chart.Dock = DockStyle.Fill;
            this.chart.Size = new Size(600, 450);
            this.chart.ChartFormatAxisLabel += chart_ChartFormatAxisLabel; 
            this.Controls.Add(chart);
        }
        void chart_ChartFormatAxisLabel(object sender, ChartFormatAxisLabelEventArgs e)
        {
            if (e.AxisOrientation == ChartOrientation.Vertical)
                e.Label = Convert.ToString(Math.Round(e.Value));
            e.Handled = true;

        }
    }
}
